Чому я не можу запускати/налагоджувати google app engine "hello, world" на eclipse 3.7 (indigo)?

Я починаю думати, що щось на моєму затьмарення пройшло зовсім неправильно. Я спробував видалити та повторно встановити плагін, а також перезавантажити комп'ютер, але нічого не спрацювало.

Я також не думаю, що це помилка, по крайней мере, не відома, тому що я шукав навколо і не знайшов нічого про таку проблему (я роблю додаток за допомогою java).

Це помилка, яку я отримую, коли я натискаю правою кнопкою миші на проекті та вибираю Run as Web Application:

An internal error occurred during: "Launching CodeLabEx0".
org/eclipse/jdt/debug/core/JDIDebugModel

І це те, що відбувається, коли я клацнув правою кнопкою миші і спробую налагодити як веб-додаток:

An internal error occurred during: "Launching CodeLabEx0".
com/sun/jdi/connect/IllegalConnectorArgumentsException

А коли я вибираю Виконати конфігурації ...

An error has occurred. See error log for more details.
com/google/gdt/eclipse/suite/launch/ui/WebAppArgumentsTab

і

No tabs defined for launch configuration type Web Application

Я відсутній щось дійсно німий?

0
longshot але, не знаючи вашого OS/версії ... Я згадую деякі проблеми з eclipse, appengine і стандартною версією Java на Mac. Я замінив сонце jdk з відкритим jdk і це виправлено. code.google.com/p/googleappengine/issues/detail?id= 4712
додано Автор jayunit100, джерело
Ви запускаєте як GPE, так і android плагін на тому ж затьмарення? Я знаю з досвіду, що вони не змішуються добре, щоб виправити це у мене 2 затемнення з плагіном для кожного.
додано Автор Rohan, джерело
На жаль, я забув вказати, що я на Windows 7 64-біт, і що мої проекти андроїд працювати нормально.
додано Автор 8oh8, джерело
@Rohan Спасибі, це була проблема.
додано Автор 8oh8, джерело

2 Відповіді

Для мене перемикання з OpenJDK на Sun JDK виправлено.


Інструкції з Linux

Завантажте кошик sun jdk 6 і запустіть наступне:

chmod +x jdk-6u35-linux-x64.bin
./jdk-6u35-linux-x64.bin
sudo mv jdk1.6.0_35 /usr/lib/jvm/
sudo update-alternatives --install /usr/bin/javac javac /usr/lib/jvm/jdk1.6.0_35/bin/javac 1
sudo update-alternatives --install /usr/bin/java java /usr/lib/jvm/jdk1.6.0_35/bin/java 1
sudo update-alternatives --install /usr/bin/javaws javaws /usr/lib/jvm/jdk1.6.0_35/bin/javaws 1

Запустіть кожну з цих команд і встановіть нову java за умовчанням для версій сонця:

sudo update-alternatives --config javac
sudo update-alternatives --config java
sudo update-alternatives --config javaws

Увімкніть плагін Java для браузерів.

# 64 bit:
sudo ln -s /usr/lib/jvm/jdk1.6.0_35/jre/lib/amd64/libnpjp2.so /usr/lib/mozilla/plugins

# 32 bit:
sudo ln -s /usr/lib/jvm/jdk1.6.0_35/jre/lib/i386/libnpjp2.so /usr/lib/mozilla/plugins
0
додано

Ви виконуєте як GPE, так і Android плагін на тому ж затінці? Я знаю з досвіду, що вони не змішуються добре, щоб виправити це у мене 2 затемнення з плагіном для кожного.

0
додано
ІТ КПІ - Java
ІТ КПІ - Java
436 учасників